<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Hover</title>
    <style>
        .container{
            width: 700px;
            height: 700px;
            /* border: 1px solid black; */

        }
        #firstdiv{
            height: 300px;
            width: 300px;
            background-color: pink;
            float: left;
        }

        #seconddiv{
            height: 300px;
            width: 300px;
            background-color: red;
            float:left;
        }
        #thirddiv{
            height: 300px;
            width: 300px;
            background-color: blue;
            float: left;
        }
        #forthdiv{
            height: 300px;
            width: 300px;
            background-color: black;
            float: left;
        }
    </style>
</head>
<body>

    <h1>Hover below</h1>
 
    <div class="container" >
        <div id="firstdiv"> </div>
        <div id="seconddiv"> </div>
        <div id="thirddiv"> </div>
        <div id="forthdiv"> </div>
    </div>

    <script>
    
    let firstdiv = document.getElementById("firstdiv");
    let seconddiv = document.getElementById("seconddiv");
    let thirddiv = document.getElementById("thirddiv");
    let forthdiv = document.getElementById("forthdiv");
    
    firstdiv.addEventListener("mouseover", function(){ 
        if(firstdiv.style.backgroundColor=="pink"){
            firstdiv.style.backgroundColor = "green";
        }else if(firstdiv.style.backgroundColor=="green"){
            firstdiv.style.backgroundColor = "purple";
        }else{
            firstdiv.style.backgroundColor = "pink";
        }
    })
 
    seconddiv.addEventListener("mouseover", function(){ 
        if(seconddiv.style.backgroundColor=="red"){
            seconddiv.style.backgroundColor = "maroon";
        }else if(seconddiv.style.backgroundColor=="maroon"){
            seconddiv.style.backgroundColor = "gray";
        }else{
            seconddiv.style.backgroundColor = "red";
        }
    })

    thirddiv.addEventListener("mouseover", function(){ 
        if(thirddiv.style.backgroundColor=="blue"){
            thirddiv.style.backgroundColor = "violet";
        }else if(thirddiv.style.backgroundColor=="violet"){
            thirddiv.style.backgroundColor = "silver";
        }else{
            thirddiv.style.backgroundColor = "blue";
        }
    })
 
    forthdiv.addEventListener("mouseover", function(){ 
        if(forthdiv.style.backgroundColor=="black"){
            forthdiv.style.backgroundColor = "brown";
        }else if(forthdiv.style.backgroundColor=="brown"){
            forthdiv.style.backgroundColor = "orange";
        }else{
            forthdiv.style.backgroundColor = "black";
        }
    })


    </script>
</body>

</html>